{% load thumbnail %}
{% load i18n %}
{% if user.is_authenticated %}
    {% if user.is_staff or user.is_superuser %}
        <a style="text-decoration: none" href="{% url 'profiles:show_self' %}">
            {% if user.profile.picture %}
                <img title="profile picture" class="img-circle img-responsive" src="{% thumbnail user.profile.picture 40x40 crop="smart" %}">
            {% else %}
                <span class="fa fa-user"></span>
            {% endif %}
        </a>
        <div class="btn-group">
            <a style="cursor: pointer;color: gold;"  class="hidden-sm-down nav-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="{% url 'admin:index' %}">Admin</a>
            <div class="dropdown-menu">
                <a href="{% url 'profiles:show_self' %}" class="dropdown-item">{% trans 'Profile' %}</a>
                <a href="/admin/" class="dropdown-item">Admin Panel</a>
                <a href="{% url 'accounts:password-reset' %}" class="dropdown-item">{% trans 'Change password' %}</a>
                <div class="dropdown-divider"></div>
                <a href="{% url 'accounts:logout' %}" class="dropdown-item">{% trans 'Logout' %}</a>
            </div>
        </div>
    {% else %}
        <a style="text-decoration: none" href="{% url 'profiles:show_self' %}">
            {% if user.profile.picture %}
                <img class="img-circle img-responsive" src="{% thumbnail user.profile.picture 40x40 crop="smart" %}">
            {% else %}
                <span class="fa fa-user"></span>
            {% endif %}
        </a>
        <div class="btn-group">
            <a style="cursor: pointer;color: gold;"  class=" hidden-sm-down nav-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                {{ user.get_full_name }}
            </a>
            <div class="dropdown-menu ">
                <a href="{% url 'profiles:show_self' %}" class="dropdown-item">{% trans 'Profile' %}</a>
                <a href="{% url 'accounts:password-reset' %}" class="dropdown-item">{% trans 'Change password' %}</a>
                <div class="dropdown-divider"></div>
                <a href="{% url 'accounts:logout' %}" class="dropdown-item">{% trans 'Logout' %}</a>
            </div>
        </div>
    {% endif %}
{% else %}
    <a class="nav-link" style="cursor: pointer" href="{% url 'accounts:login' %}">{% trans 'Login' %}</a>
{% endif %}